<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>HTML Tables, Form and Semantic</title>
</head>

<header>
	<h1>HTML Tables and Forms </h1>
	<aside>

	</aside>

</header>

<body>
	<!-- Semantic HTML -->
	<!-- 
		Semantic HTML is way to write HTML code is a more descriptive or conscise way. It has better readability compared to its non-semantic counterparts
		ex :
		heaader tag, main tag, section tag
			 -->
	<main>
			<h2> HTML Entities </h2>
			<p> <em> Reserved Characters in HTML  </em> </p>

			<!-- HTML TABLES -->
			<!-- 
				A way to build a table within HTML Denoted by the <table> tag. Tables have 3 common tag within them. These are:
				1.thead tag- headings of the table
				2.tbody tag- content/data of the table
				3.tfoot-footer of the table
			 -->
			<table border= "1">
                <thead>
                    <tr>
                        <th colspan="2">Entity</th>
                        <th>Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><</td>
                        <td>lt</td>
                        <td>less than</td>
                    </tr>
                    <tr>
                        <td>></td>
                        <td>gt</td>
                        <td>greater than</td>
                    </tr>
                    <tr>
                        <td>&#8369;</td>
                        <td>#8369</td>
                        <td>peso sign</td>
                    </tr>
                    <tr>
                        <td>&amp;</td>
                        <td>amp</td>
                        <td>ampersand</td>
                    </tr>
                    <tr>
                        <td>&#8369;</td>
                        <td>#8369</td>
                        <td>peso sign</td>
                    </tr>
                    <tr>
                        <td>&quot;</td>
                        <td>quot</td>
                        <td>double quotation marks</td>
                    </tr>
                    <tr>
                        <td>&apos;</td>
                        <td>apos</td>
                        <td>single quotation marks</td>
                    </tr>
                    <tr>
                        <td>&ntilde;</td>
                        <td>ntilde</td>
                        <td>Lower Tilde</td>
                    </tr>
                    <tr>
                        <td>&Ntilde;</td>
                        <td>Ntilde</td>
                        <td>Upper Tilde</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <th colspan="3">List of HTML entities</th>
                    </tr>
                </tfoot>
            </table>
            <h2>HTML FORMS</h2>
            <p><em>Input Element that make up a form</em></p>

 <form action="#">
				<label for="full_name">Full Name:</label>
				<br>
				<input type="text" name="full_name" required>
				<br>

				<label for="birth_date">Birth Date:</label>
				<br>
				<input type="date" name="birth_date" required>
				<br>

				<label for="age">Age:</label>
				<br>
				<input type="number" name="age" required>
				<br>

				<label for="gender">Gender:</label>
				<br>
				<select name="gender">
					<option value="Male">Male</option>
					<option value="Female">Female</option>		
				</select>
				<input type="text" name="other_option">
				<br>

				<label for="notes">Notes:</label>
				<br>
				<textarea name="notes" rows="2" cols="2"></textarea>
				<br>

				<label for="new_user">New User:</label>
				<br>
				<input type="radio" name="new_user" id="user-type1">
				<label for="user-type1">Yes</label>
				<input type="radio" name="new_user" id="user-type2">
				<label for="user-type2">No</label>

				<br>
				
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
</form>




	</main>
</body>
</html>